NPRINT(1)

NAME
nprint - NetWare print client

SYNOPSIS
nprint [ -S server ] [ -h ] [ -U username | -n ] [ -C ] [ -q queuename ] [ -d job-description ] [ -p pathname-in-banner ] [ -B username-in-banner ] [ -s ] [ -f filename-in-banner ] [ -l lines ] [ -r rows ] [ -c copies ] [ -t tab size ] [ -T ] [ -N ] [ -F form-number ] filename

DESCRIPTION
With nprint, you can print files on print queues of a NetWare file server. There are a lot of options, so you should probably wrap some default configurations into some shell scripts. nprint looks up the file $HOME/.nwclient to find a file server, a user name and possibly a password. See nwclient(5) for more information. Please note that the access permissions of .nwclient MUST be 600, for security reasons.

OPTIONS
filename
    filename is the name of the file you want to print. If file is '-', or no filename is given, standard input is used.
-h
    -h is used to print out a short help text.
-S server
    server is the name of the server you want to use.
-U username
    username is the user name to use for the print request at the server.
-P password
    password is the password to use for the print request at the server. If neither -n nor -P are given, and the user has no open connection to the server, nprint prompts for a password.
-n
    -n should be given if no password is required for the print request.
-C
    By default, passwords are converted to uppercase before they are sent to the server, because most servers require this. You can turn off this conversion by -C.
-q queuename
    queuename is the name of the print queue to use at the print server. At present, you must specify it in upper case characters.
-d job-description
    job-description is the string that appears in pconsole when you list the jobs for the print queue. It will also appear in the "Description" field on the banner page.
-p pathname-in-banner
    pathname-in-banner is the string (up to 79 characters) you want to be printed in the "Directory" field on the banner page.
-B username-in-banner
    username-in-banner is the string (up to 12 characters) you want to appear on the lower part of the banner page. It will also appear in the "User name" field.
-s
    Supress printing of banner page
-f filename-in-banner
    filename-in-banner is the string (up to 12 characters) you want to appear in large letters on the lower part of the banner page. Default: the name of the file that is printed, or 'stdin'.
-l lines
    lines is the number of lines to put on one page. Default: 66.
-r rows
    rows is the number of rows to put on one page. Default: 80.
-c copies
    copies tells the print server to the specified number of copies. Default: 1.
-t tabs
    tabs is the number of spaces to print for a Tab-Character. Default: 8.
-T
    tells the print server to expand Tab-Character and use 8 spaces
-N
    tells the print server not to use Form Feeds
-F form-number
    form-number is the the number of the form to be put into the printer. If it's different from the one currently in the printer, your job is only printed if a printer operator has put in the correct form.

NOTES
The '-B' option was formerly '-b'. But it conflicted with 'bindery only' login option.

SEE ALSO
nwclient(5), slist(1), pqlist(1), ncpmount(8), ncpumount(8)

CREDITS
nprint was written by Volker Lendecke (lendecke@math.uni-goettingen.de)